Subject: Re: [PATCH 06/12] mpc5121: Added NAND Flash Controller driver.

From: Piotr Zięcik <[email-masked]>
Date: Wed, 13 May 2009 10:41:45 +0200

Friday 08 May 2009 05:30:15 John Rigby napisał(a):
> Did you choose to not support hardware ECC so you could use the spare area?
> The original driver only supported hardware ECC but unfortuneatly the
> hardware ECC includes the spare area so the spare area cannot be written
> separately.

In short yes. There are fundamental problems which you described. Flash 
filesystems expect that ECC is calculated from main area only and writes to 
spare area not change it. MPC5121 NAND flash controller calculates ECC from 
both areas except few bytes holding ECC. This makes flash filesystems 
unusable when we turn on hardware ECC.

This could be fixed by disabling spare area usage in flash filesystems but
this probably requires changes in the MTD/filesystem infrastructure.

-- 
Best Regards.
Piotr Zięcik